<?php

namespace Drupal\Tests\fire_chaser\Functional;

use Drupal\Core\Url;
use Drupal\Tests\BrowserTestBase;

/**
 * Simple test to ensure that main page loads with module enabled.
 *
 * @group fire_chaser
 */
class UserAnonymousTest extends BrowserTestBase {

  /**
   * Modules to enable.
   *
   * @var array
   */
  protected static $modules = ['fire_chaser'];

  /**
   * Theme to enable.
   *
   * @var string
   */
  protected $defaultTheme = 'stark';

  /**
   * A user with permission to administer site configuration.
   *
   * @var \Drupal\user\UserInterface
   */
  protected $user;

  /**
   * {@inheritdoc}
   */
  protected function setUp(): void {
    parent::setUp();
    $this->user = $this->drupalCreateUser();
    $this->drupalLogin($this->user);
  }

  /**
   * Test the settings page returns a 403.
   */
  public function testMainPage() {
    $this->drupalGet(Url::fromRoute('fire_chaser.settings'));
    $this->assertSession()->statusCodeEquals(403);
  }

  /**
   * Test the api page returns a 403.
   */
  public function testApiPage() {
    $this->drupalGet(Url::fromRoute('fire_chaser.api'));
    $this->assertSession()->statusCodeEquals(403);
  }

}
