<?php

namespace Drupal\Tests\fire_chaser\Kernel;

use Drupal\KernelTests\KernelTestBase;

/**
 * Test installation and uninstallation.
 *
 * @group fire_chaser
 */
class FireChaserInstallTest extends KernelTestBase {

  private const MODULE_NAME = 'fire_chaser';

  /**
   * {@inheritdoc}
   */
  protected static $modules = [
    'fire_chaser',
  ];

  /**
   * Test that the module can be installed and uninstalled.
   */
  public function testInstallUninstall(): void {
    // Ensure the module is installed.
    $this->assertTrue(\Drupal::moduleHandler()->moduleExists(self::MODULE_NAME), 'The fire_chaser module is installed.');

    // Uninstall the module.
    \Drupal::service('module_installer')->uninstall([self::MODULE_NAME]);
    $this->assertFalse(\Drupal::moduleHandler()->moduleExists(self::MODULE_NAME), 'The fire_chaser module is uninstalled.');

    // Reinstall the module.
    \Drupal::service('module_installer')->install([self::MODULE_NAME]);
    $this->assertTrue(\Drupal::moduleHandler()->moduleExists(self::MODULE_NAME), 'The fire_chaser module is reinstalled.');
  }

}
